kind: pipeline
name: default
type: exec

steps:
  - name: submodules
    commands:
      - git submodule init
      - git submodule update --recursive --remote

  - name: build
    commands:
      - nix-build

  - name: push
    environment:
      NETLIFY_AUTH_TOKEN:
        from_secret: netlify_auth_token
    commands:
      - nix-shell -I nixpkgs=./pkgs.nix --run "netlify deploy --prod -d $(readlink -f result)"

node:
  nix: 1
